Loading...
Searching...
No Matches
Error Construction
Globus Common API » Globus Error API » Globus Generic Error API

Error Construction. More...

## Macros

#define | GLOBUS_ERROR_TYPE_GLOBUS

## Construct Error

globus_object_t * | globus_error_construct_error (globus_module_descriptor_t *base_source, globus_object_t *base_cause, int type, const char *source_file, const char *source_func, int source_line, const char *short_desc_format,...)
globus_object_t * | globus_error_v_construct_error (globus_module_descriptor_t *base_source, globus_object_t *base_cause, const int type, const char *source_file, const char *source_func, int source_line, const char *short_desc_format, va_list ap)

## Initialize Error

globus_object_t * | globus_error_initialize_error (globus_object_t *error, globus_module_descriptor_t *base_source, globus_object_t *base_cause, int type, const char *source_file, const char *source_func, int source_line, const char *short_desc_format, va_list ap)

## Detailed Description

Error Construction.

Create and initialize a Globus Generic Error object.

This section defines operations to create and initialize Globus Generic Error objects.

## Macro Definition Documentation

## GLOBUS_ERROR_TYPE_GLOBUS

#define GLOBUS_ERROR_TYPE_GLOBUS

Error type definition

## Function Documentation

## globus_error_construct_error()

globus_object_t * globus_error_construct_error | ( | globus_module_descriptor_t * | base_source,
|  | globus_object_t * | base_cause,
|  | int | type,
|  | const char * | source_file,
|  | const char * | source_func,
|  | int | source_line,
|  | const char * | short_desc_format,
|  |  | ... )

Allocate and initialize an error of type GLOBUS_ERROR_TYPE_GLOBUS

Parameters

  base_source | Pointer to the originating module.
  base_cause | The error object causing the error. If this is the original error this parameter may be NULL.
  type | The error type. We may reserve part of this namespace for common errors. Errors not in this space are assumed to be local to the originating module.
  source_file | Name of file. Use FILE
  source_func | Name of function. Use _globus_func_name and declare your func with GlobusFuncName(<name>)
  source_line | Line number. Use LINE
  short_desc_format | Short format string giving a succinct description of the error. To be passed on to the user.
  ... | Arguments for the format string.

Returns
  The resulting error object. It is the user's responsibility to eventually free this object using globus_object_free(). A globus_result_t may be obtained by calling globus_error_put() on this object.

## globus_error_initialize_error()

globus_object_t * globus_error_initialize_error | ( | globus_object_t * | error,
|  | globus_module_descriptor_t * | base_source,
|  | globus_object_t * | base_cause,
|  | int | type,
|  | const char * | source_file,
|  | const char * | source_func,
|  | int | source_line,
|  | const char * | short_desc_format,
|  | va_list | ap )

Initialize a previously allocated error of type GLOBUS_ERROR_TYPE_GLOBUS

Parameters

  error | The previously allocated error object.
  base_source | Pointer to the originating module.
  base_cause | The error object causing the error. If this is the original error this parameter may be NULL.
  type | The error type. We may reserve part of this namespace for common errors. Errors not in this space are assumed to be local to the originating module.
  source_file | Name of file. Use FILE
  source_func | Name of function. Use _globus_func_name and declare your func with GlobusFuncName(<name>)
  source_line | Line number. Use LINE
  short_desc_format | Short format string giving a succinct description of the error. To be passed on to the user.
  ap | Arguments for the format string.

Returns
  The resulting error object. You may have to call globus_error_put() on this object before passing it on.

## globus_error_v_construct_error()

globus_object_t * globus_error_v_construct_error | ( | globus_module_descriptor_t * | base_source,
|  | globus_object_t * | base_cause,
|  | const int | type,
|  | const char * | source_file,
|  | const char * | source_func,
|  | int | source_line,
|  | const char * | short_desc_format,
|  | va_list | ap )

Allocate and initialize an error of type GLOBUS_ERROR_TYPE_GLOBUS

Parameters

  base_source | Pointer to the originating module.
  base_cause | The error object causing the error. If this is the original error this parameter may be NULL.
  type | The error type. We may reserve part of this namespace for common errors. Errors not in this space are assumed to be local to the originating module.
  source_file | Name of file. Use FILE
  source_func | Name of function. Use _globus_func_name and declare your func with GlobusFuncName(<name>)
  source_line | Line number. Use LINE
  short_desc_format | Short format string giving a succinct description of the error. To be passed on to the user.
  ap | Arguments for the format string.

Returns
  The resulting error object. It is the user's responsibility to eventually free this object using globus_object_free(). A globus_result_t may be obtained by calling globus_error_put() on this object.